
package org.objectweb.fractal.bf.adl.common;

import java.util.logging.Logger;

import org.objectweb.fractal.adl.ADLException;

public class ParameterVerifier
{

  static Logger log = Logger.getLogger(ParameterVerifier.class
                        .getCanonicalName());

  private ParameterVerifier()
  {
  }

  /**
   * @param pc
   * @throws ADLException
   */
  public static void verify(ParameterContainer pc) throws ADLException
  {
    if (pc.getParameters().length > 0)
    {
      for (Parameter p : pc.getParameters())
      {
        log.info("Parameter [" + p.getName() + ":" + p.getValue() + "]");
        if ((p.getName() == null) || (p.getName().equalsIgnoreCase("")))
        {

          throw new ADLException("The name of a parameter can't be empty");

        }
        else if (p.getValue() == null || p.getValue().equalsIgnoreCase(""))
        {
          throw new ADLException("The value for parameter '" + p.getName()
              + "' can't be empty");
        }
      }
    }
  }
}
